Bug 497629 - Clipping when adjusting volume through gnome-volume-control-applet
Clipping when adjusting volume through gnome-volume-control-applet
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-25 06:03 EDT by Andreas Thienemann
Modified: 2009-07-27 19:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-27 19:10:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alsa-info output (20.49 KB, text/plain)
2009-04-25 06:03 EDT, Andreas Thienemann
no flags Details
pacmd ls output (17.68 KB, text/plain)
2009-04-25 11:46 EDT, Andreas Thienemann
no flags Details
pacmd ls output with rb running (18.55 KB, text/plain)
2009-04-28 11:07 EDT, Andreas Thienemann
no flags Details

  None (edit)
Description Andreas Thienemann 2009-04-25 06:03:43 EDT
Created attachment 341306 [details]
alsa-info output

Description of problem:
When playing audio, e.g. a cd through rhythmbox, changing the volume through the gnome-volume-control-applet leads to audible clipping and short breaks in the audio-stream.

Using alsamixer -c0 to change the master volume output has no such effects

Version-Release number of selected component (if applicable):
gnome-media-2.26.0-3.fc11.i586
rhythmbox-0.12.0.92-1.fc11.i586
pulseaudio-0.9.15-10.fc11.i586
alsa-utils-1.0.19-4.fc11.i586

How reproducible:
Always

Steps to Reproduce:
1. Play audio
2. Change volume in g-v-c => Fail
3. Change volume in alsamixer => Win
  
Actual results:
Volume change with clipping

Expected results:
Volume change without clipping

Additional info:
alsa-info.txt attached.
Comment 1 Lennart Poettering 2009-04-25 10:48:47 EDT
Uh? PA and alsamixer actually control the same mixer.

Please try to reproduce this clipping and provide me with a copy of the output of 'ls' in pacmd!
Comment 2 Andreas Thienemann 2009-04-25 11:45:59 EDT
I can reproduce this with any kind of music played through rhythmbox. If using totem or mplayer from rpmfusion the problem does not manifest.

pacmd output is attached.
Comment 3 Andreas Thienemann 2009-04-25 11:46:24 EDT
Created attachment 341320 [details]
pacmd ls output
Comment 4 Lennart Poettering 2009-04-26 21:33:43 EDT
Hmm, if you say this is specific to rb, could you please get me that pacmd ls output when rb is running? The dump only shows mplayer as a client.
Comment 5 Andreas Thienemann 2009-04-28 11:07:28 EDT
Created attachment 341586 [details]
pacmd ls output with rb running
Comment 6 Lennart Poettering 2009-04-30 15:41:17 EDT
Hmm, that's the output right when the clipping happened?

It looks absolutely correct to me.
Comment 7 Bug Zapper 2009-06-09 10:32:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Lennart Poettering 2009-07-27 19:10:19 EDT
Closing due to lack of response to needinfo request.

Note You need to log in before you can comment on or make changes to this bug.